Overview

RealMedia Plug-In Help

Copyright © 2007. Sony Creative Software Inc.
All Rights Reserved
Revised April 10, 2007

You can use the RealMedia plug-in to open and render RealMedia files.

Vegas, Vegas+DVD, DVD Architect, Vegas Movie Studio, Vegas Movie Studio+DVD, DVD Architect Studio, ACID, Music Studio, ACIDized, Super Duper Music Looper, Jam Trax, Sony Sound Series, Chopper, Groove Mapping, Groove Cloning, CD Architect, Sound Forge, Audio Studio, Cinescore, Acoustic Mirror, Noise Reduction, Wave 64, Wave Hammer, and XFX are trademarks or registered trademarks of Sony Creative Software Inc. or its affiliates in the United States and other countries. All other trademarks or registered trademarks are the property of their respective owners in the United States and other countries.

2007 RealNetworks, Inc. Patents Pending. All rights reserved. Real®, Real Media®, RealAudio®, RealVideo®, and the Real logo are trademarks or registered trademarks of RealNetworks, Inc. in the United States and other countries.

Sony Creative Software Inc. may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Sony Creative Software Inc., the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.


Encode Settings

Item

Description

Connect at project settings

Select this check box if you want to render your RealMedia file using the audio and video settings from your project file.

Audio mode

If your media contains audio, choose the setting that matches the type of audio in your file.

Music | Choose this setting if your audio consists of mono instrumental music or music with vocals.
Voice | Choose this setting if your audio consists mostly of voice with little or no music or sound in the background.
No audio | Choose this setting if your file contains no audio.

High quality audio resampling

When the sample rate of your rendered file is different from the source media, the audio must be resampled.

Select this check box if you want to use a high-quality resampling algorithm. Selecting this check box will produce higher-quality audio, but the encoding process will use more of your computer’s resources.

Video mode

If your media includes video content, choose the setting that matches the type of motion in your file:

Normal motion video | Choose this setting to encode video with the settings in the original file.
Sharpest image video | Choose this setting to emphasize image clarity, but sacrifice smooth motion.
Smoothest motion video | Choose this setting to emphasize motion, but sacrifice image clarity.
Slideshow | Choose this setting to present video as a series of still frames to maximize image clarity.
No video | Choose this setting if your file contains no video.

2-pass video encoding

Select this check box if you want the encoder to analyze your files before encoding them.

When the check box is selected, the encoder can produce higher-quality video, but the encoding process takes longer.

High quality resize

If you choose to render your video with a different frame size than your source media, select this check box to use a resizing algorithm that produces less image degradation.

Selecting this check box will produce higher-quality audio, but the encoding process will use more of your computer’s resources.

Frame size

Choose a setting from the drop-down list to determine the height and width of your rendered video, or choose Custom and enter your own settings.

Standard image sizes are provided because their dimensions conform to standards supported by many codecs and video-editing tools. Smaller image sizes allow for more bandwidth to be used for video frames and can improve content quality.

When resizing image size with the Custom setting, be aware that many codecs require height and width settings that are multiples of 16.

Width | When Custom is selected in the Frame size drop-down list, you can specify the width (in pixels) of your encoded video.
Height | When Custom is selected in the Frame size drop-down list, you can specify the height (in pixels) of your encoded video.

Field order

Determines field order of the frames when drawn on the screen. Consult your capture/video output card's documentation for the proper field order for your specific device.

Progressive scan | Select this option when viewing the video on a computer. This option ignores interlacing.
Upper field first | Select this option for video that will be viewed on a television.
Lower field first | Select this option for DV output or if Upper field first produces jittery or shaky output.

Pixel aspect

Choose a setting to change the pixel aspect ratio of your encoded file.

Computers display pixels as squares, or a ratio of 1.0. Televisions display pixels as rectangles (ratios other than 1.0).

Using the incorrect setting can result in distortion or stretching. Consult your capture/video output card's manual for the proper settings.


Audiences Settings

Item

Description

Available audiences

Select an audience from the list and click the Add button to create a stream for each selected Internet (or intranet) connection type.

Adding multiple audiences makes your encoded file available to a wider range of network connections but will produce a larger file.

Add

Click to add the selected audience to the Selected audiences list and create a stream for that audience.

Selected audiences

Lists each audience (network connection type) for which a stream will be created in your encoded file.

Remove

Click to remove the selected audience type from the list.

Edit

Click to edit the encoding properties for the selected audience type.


Video Filters Settings

Item

Description

Cropping

Select this check box and type values in the Left, Top, Width, and Height boxes to set the size of the video frame in pixels.

Left | Type a value in the box to offset the left edge of the video frame the specified number of pixels.
Top | Type a value in the box to offset the top edge of the video frame the specified number of pixels.
Width | Type a value in the box to set the width of the video frame in pixels.
Height | Type a value in the box to set the height of the video frame in pixels.

Black level correction

Select this check box to adjust the brightness of the video so black areas in the video appear darker.

Deinterlace / Inverse telecine

Select this check box to correct the jagged appearance of interlaced video and remove repeated frames that result from converting cinematic film (24 fps) to NTSC video (30 fps).

You can choose whether to apply these filters automatically or manually.

Automatic | Select this check box if you want the encoder to determine whether the deinterlace or inverse telecine filters should be applied.
Deinterlace | Select this check box to correct the jagged appearance of interlaced video. Note: This setting affects only interlaced source video that is at least 240 lines high. When source video (typically 480 lines high) is digitized, some video capture cards will discard the odd or the even lines, deinterlacing the video and producing a jagged appearance.
Inverse telecine | Select this check box to remove repeated frames that result from converting cinematic film (24 fps) to NTSC video (30 fps). The inverse telecine filter is applied only when you’re encoding 30 fps video.

Video noise reduction

Select this check box and select a filter type to reduce noise (also called snow) in your encoded video. Use the Low quality filter to remove small amounts of noise, or use the High quality filter to remove more noise.


Summary Settings

Item | Description
Title | Enter the title of your streaming-media presentation. This information can be displayed by the RealPlayer during playback.
Author | Enter the author of your streaming-media presentation. This information can be displayed by the RealPlayer during playback.
Copyright | Enter copyright information about your streaming-media presentation. This information can be displayed by the RealPlayer during playback.
Keywords | Enter search keywords that might be used to search for your streaming-media presentation.
Description | Displays a description of the selected template.
Rating | Choose a setting from the drop-down list to assign a rating to your media file based on its content. Ratings can help protect young audiences from inappropriate materials.